Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(32)

Issue 2946693002: Use GN buildflags and features to configure account consistency (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months ago by droger
Modified:
3 months, 4 weeks ago
Reviewers:
Bernhard Bauer, msarda
CC:
chromium-reviews, asvitkine+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Use GN buildflags and features to configure account consistency The configuration was not consistent: Dice was sometimes enabled with !OS_ANDROID, and sometimes with OS_MAC || OS_LINUX || OS_WIN. There are also platforms (e.g. ChromeOS) where mirror is not enabled and Dice is not supported, and thus two different variables are needed. This CL replaces the platform variables with custom features variables defined in GN. Two variables are defined, in GN and in code: - enable_dice_support - enable_mirror Review-Url: https://codereview.chromium.org/2946693002 Cr-Commit-Position: refs/heads/master@{#481520} Committed: https://chromium.googlesource.com/chromium/src/+/fc443126af3f424433b8d7c9b0194e83b6dba021

Patch Set 1 : #

Total comments: 3

Patch Set 2 : Rebase #

Patch Set 3 : fix #

Unified diffs Side-by-side diffs Delta from patch set Stats (+124 lines, -58 lines) Patch
M chrome/browser/BUILD.gn View 1 4 chunks +9 lines, -2 lines 0 comments Download
M chrome/browser/about_flags.cc View 1 3 chunks +8 lines, -5 lines 0 comments Download
M chrome/browser/signin/chrome_signin_helper.cc View 7 chunks +8 lines, -7 lines 0 comments Download
M chrome/browser/signin/mutable_profile_oauth2_token_service_delegate_unittest.cc View 1 2 3 chunks +3 lines, -0 lines 0 comments Download
M chrome/browser/ui/BUILD.gn View 1 2 4 chunks +11 lines, -4 lines 0 comments Download
M chrome/browser/ui/webui/chrome_web_ui_controller_factory.cc View 1 5 chunks +12 lines, -7 lines 0 comments Download
M chrome/common/BUILD.gn View 1 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/url_constants.h View 1 2 chunks +5 lines, -1 line 0 comments Download
M chrome/common/url_constants.cc View 1 1 chunk +4 lines, -1 line 0 comments Download
M chrome/test/BUILD.gn View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M components/signin/core/browser/BUILD.gn View 4 chunks +14 lines, -9 lines 0 comments Download
M components/signin/core/browser/signin_header_helper.h View 2 chunks +2 lines, -2 lines 0 comments Download
M components/signin/core/browser/signin_header_helper.cc View 3 chunks +3 lines, -4 lines 0 comments Download
M components/signin/core/browser/signin_header_helper_unittest.cc View 5 chunks +5 lines, -5 lines 0 comments Download
M components/signin/core/common/BUILD.gn View 2 chunks +15 lines, -0 lines 0 comments Download
M components/signin/core/common/profile_management_switches.h View 2 chunks +2 lines, -3 lines 0 comments Download
M components/signin/core/common/profile_management_switches.cc View 3 chunks +9 lines, -4 lines 0 comments Download
M components/signin/core/common/signin_switches.h View 2 chunks +2 lines, -3 lines 0 comments Download
M components/signin/core/common/signin_switches.cc View 1 chunk +1 line, -1 line 0 comments Download
A components/signin/features.gni View 1 2 1 chunk +9 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Depends on Patchset:

Dependent Patchsets:

Messages

Total messages: 46 (36 generated)
droger
4 months ago (2017-06-19 14:03:43 UTC) #12
msarda
lgtm https://codereview.chromium.org/2946693002/diff/40001/components/signin/core/browser/BUILD.gn File components/signin/core/browser/BUILD.gn (right): https://codereview.chromium.org/2946693002/diff/40001/components/signin/core/browser/BUILD.gn#newcode94 components/signin/core/browser/BUILD.gn:94: "//base", Why is this change to the public_deps ...
4 months ago (2017-06-20 08:51:56 UTC) #15
droger
https://codereview.chromium.org/2946693002/diff/40001/components/signin/core/browser/BUILD.gn File components/signin/core/browser/BUILD.gn (right): https://codereview.chromium.org/2946693002/diff/40001/components/signin/core/browser/BUILD.gn#newcode94 components/signin/core/browser/BUILD.gn:94: "//base", On 2017/06/20 08:51:56, msarda wrote: > Why is ...
4 months ago (2017-06-20 09:04:23 UTC) #16
msarda
https://codereview.chromium.org/2946693002/diff/40001/components/signin/core/browser/BUILD.gn File components/signin/core/browser/BUILD.gn (right): https://codereview.chromium.org/2946693002/diff/40001/components/signin/core/browser/BUILD.gn#newcode94 components/signin/core/browser/BUILD.gn:94: "//base", On 2017/06/20 09:04:23, droger wrote: > On 2017/06/20 ...
4 months ago (2017-06-20 09:10:07 UTC) #17
droger
On 2017/06/20 09:10:07, msarda wrote: > https://codereview.chromium.org/2946693002/diff/40001/components/signin/core/browser/BUILD.gn > File components/signin/core/browser/BUILD.gn (right): > > https://codereview.chromium.org/2946693002/diff/40001/components/signin/core/browser/BUILD.gn#newcode94 > ...
4 months ago (2017-06-20 09:46:37 UTC) #18
msarda
lgtm
4 months ago (2017-06-20 11:28:52 UTC) #19
droger
+bauerb as owner of chrome_web_ui_controller_factory.cc
4 months ago (2017-06-21 13:23:11 UTC) #23
Bernhard Bauer
lgtm
4 months ago (2017-06-21 14:32:44 UTC) #26
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2946693002/160001
3 months, 4 weeks ago (2017-06-22 13:55:12 UTC) #43
commit-bot: I haz the power
3 months, 4 weeks ago (2017-06-22 13:58:33 UTC) #46
Message was sent while issue was closed.
Committed patchset #3 (id:160001) as
https://chromium.googlesource.com/chromium/src/+/fc443126af3f424433b8d7c9b019...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa